2005-11-18 07:03:00 2018-10-19 17:34:20

Integer overflow in io-xpm.c in gdk-pixbuf 0.22.0 in GTK+ before 2.8.7 allows attackers to cause a denial of service (crash) or execute arbitrary code via an XPM file with large height, width, and colour values, a different vulnerability than CVE-2005-3186.

Vector

NETWORK

Complexity

LOW

Authentication

NONE

Confidentiality

PARTIAL

Integrity

PARTIAL

Availability

PARTIAL
Gtk Gtk+ 2.8.5 (not an official CPE) Gtk Gtk+ 2.8.4 (not an official CPE) Gtk Gtk+ 2.8.3 (not an official CPE) Gtk Gtk+ 2.8.2 (not an official CPE) Gtk Gtk+ 2.8.1 (not an official CPE) Gtk Gtk+ 2.8.0 (not an official CPE) Gtk Gtk+ 2.7.5 (not an official CPE) Gtk Gtk+ 2.7.4 (not an official CPE) Gtk Gtk+ 2.7.3 (not an official CPE) Gtk Gtk+ 2.7.2 (not an official CPE) Gtk Gtk+ 2.7.1 (not an official CPE) Gtk Gtk+ 2.7.0 (not an official CPE) Gtk Gtk+ 2.6.10 (not an official CPE) Gtk Gtk+ 2.6.9 (not an official CPE) Gtk Gtk+ 2.6.8 (not an official CPE) Gtk Gtk+ 2.6.7 (not an official CPE) Gtk Gtk+ 2.6.6 (not an official CPE) Gtk Gtk+ 2.6.5 (not an official CPE) Gtk Gtk+ 2.6.4 (not an official CPE) Gtk Gtk+ 2.6.3 (not an official CPE) Gtk Gtk+ 2.6.2 (not an official CPE) Gtk Gtk+ 2.6.1 (not an official CPE) Gtk Gtk+ 2.6.0 (not an official CPE) Gtk Gtk+ 2.5.6 (not an official CPE) Gtk Gtk+ 2.5.5 (not an official CPE) Gtk Gtk+ 2.5.4 (not an official CPE) Gtk Gtk+ 2.5.3 (not an official CPE) Gtk Gtk+ 2.5.2 (not an official CPE) Gtk Gtk+ 2.5.1 (not an official CPE) Gtk Gtk+ 2.5.0 (not an official CPE) Gtk Gtk+ 2.4.14 (not an official CPE) Gtk Gtk+ 2.4.13 (not an official CPE) Gtk Gtk+ 2.4.12 (not an official CPE) Gtk Gtk+ 2.4.11 (not an official CPE) Gtk Gtk+ 2.4.10 (not an official CPE) Gtk Gtk+ 2.4.9 (not an official CPE) Gtk Gtk+ 2.4.8 (not an official CPE) Gtk Gtk+ 2.4.7 (not an official CPE) Gtk Gtk+ 2.4.6 (not an official CPE) Gtk Gtk+ 2.4.5 (not an official CPE) Gtk Gtk+ 2.4.4 (not an official CPE) Gtk Gtk+ 2.4.3 (not an official CPE) Gtk Gtk+ 2.4.2 (not an official CPE) Gtk Gtk+ 2.4.1 (not an official CPE) Gtk Gtk+ 2.4.0 (not an official CPE) Gtk Gtk+ 2.3.6 (not an official CPE) Gtk Gtk+ 2.3.5 (not an official CPE) Gtk Gtk+ 2.3.4 (not an official CPE) Gtk Gtk+ 2.3.3 (not an official CPE) Gtk Gtk+ 2.3.2 (not an official CPE) Gtk Gtk+ 2.3.1 (not an official CPE) Gtk Gtk+ 2.3.0 (not an official CPE) Gtk Gtk+ 2.2.4 (not an official CPE) Gtk Gtk+ 2.2.3 (not an official CPE) Gtk Gtk+ 2.2.2 (not an official CPE) Gtk Gtk+ 2.2.1 (not an official CPE) Gtk Gtk+ 2.2.0 (not an official CPE) Gtk Gtk+ 2.1.5 (not an official CPE) Gtk Gtk+ 2.1.4 (not an official CPE) Gtk Gtk+ 2.1.3 (not an official CPE) Gtk Gtk+ 2.1.2 (not an official CPE) Gtk Gtk+ 2.1.1 (not an official CPE) Gtk Gtk+ 2.1.0 (not an official CPE) Gtk Gtk+ 1.3.15 (not an official CPE) Gtk Gtk+ 1.3.14 (not an official CPE) Gtk Gtk+ 1.3.13 (not an official CPE) Gtk Gtk+ 1.3.12 (not an official CPE) Gtk Gtk+ 1.3.11 (not an official CPE) Gtk Gtk+ 1.3.10 (not an official CPE) Gtk Gtk+ 1.3.9 (not an official CPE) Gtk Gtk+ 1.2.10 (not an official CPE) Gtk Gtk+ 1.2.9 (not an official CPE) Gtk Gtk+ 1.2.8 (not an official CPE) Gtk Gtk+ 1.2.7 (not an official CPE) Gtk Gtk+ 1.2.6 (not an official CPE) Gtk Gtk+ 1.2.5 (not an official CPE) Gtk Gtk+ 1.2.4 (not an official CPE) Gtk Gtk+ 1.2.3 (not an official CPE) Gtk Gtk+ 1.2.2 (not an official CPE) Gtk Gtk+ 1.2.1 (not an official CPE) Gtk Gtk+ 1.2.0 (not an official CPE) Gtk Gtk+ 1.1.15 (not an official CPE) Gtk Gtk+ 1.1.12 (not an official CPE) Gnome Gdkpixbuf 0.22 (not an official CPE) Gtk Gtk+ 2.8.6 (not an official CPE)